controllers/commons_resource.py
import services.homeless_service as homeless_service
import services.disappeared_service as disappeared_service
from flask import Blueprint, render_template, redirect, url_for

commons_controller = Blueprint("commons_controller", __name__)


@commons_controller.route("/faq")
def faq():
    return render_template("user/faq.html", title="FAQ", name="faq")


@commons_controller.route("/terms")
def terms():
    return render_template("user/terms.html")


@commons_controller.route("/info")
def info():
    result = dict()
    result["homeless"] = homeless_service.homeless_info().json()["homeless"]
    result["disappeared"] = disappeared_service.disappeared_info().json()["disappeared"]
    return render_template("info.html", title="Em tempo real", result=result, name="info")


@commons_controller.route("/start")
def start():
    return render_template("start_user.html", title="Cadastre-se", name="register")


@commons_controller.route("/")
def index():
    return redirect(url_for('missing_controller.index', page=0))

controllers/disappeared_resource.py
from flask import Blueprint, redirect, url_for, render_template, abort, request, jsonify, flash, session

import services.disappeared_service as missing_service
import services.sighted_service as sighted_service
from configuration.loggin_configuration import logger
from parser.disappeared_parse import parse_request, parse_request_address, parse_missing

missing_controller = Blueprint('missing_controller', __name__)

PATH = "missing"


@missing_controller.route("/search", methods=['POST'])
def search():
    try:
        value = request.form.get("search")
        result = [parse_missing(item) for item in missing_service.search_all(value).json()["disappeared"]]

        return render_template("{}/index.html".format(PATH),
                               disappeared=result,
                               title="Pessoas desaparecidas",
                               pages=None,
                               selected=None,
                               name='missing')

    except Exception as e:
        logger.error("Error during search disappeared ", e)
        abort(500)


@missing_controller.route("/<page>")
def index(page=0):
    try:
        result = missing_service.pagination(page)

        pages = 0
        disappeared = []

        if result.status_code == 200:
            parse = result.json()
            pages = parse["pages"]
            disappeared = [parse_missing(item) for item in parse["disappeared"]]

        return render_template("{}/index.html".format(PATH),
                               disappeared=disappeared,
                               title="Pessoas desaparecidas",
                               pages=pages,
                               selected=int(page),
                               name='missing')

    except Exception as e:
        logger.error("Error during search disappeared ", e)
        abort(500)


@missing_controller.route("/sighted/<_id>/custom", methods=['GET'])
def sighted(_id):
    return render_template("{}/address.html".format(PATH), _id=_id, name="missing")


@missing_controller.route("/sighted/<_id>/custom", methods=['POST'])
def register_sighted(_id):
    try:
        address = parse_request_address(request)
        result = sighted_service.create_sighted(_id, address)

        if result.status_code == 201:
            flash("Registramos sua notificação, obrigado por colaborar.")
            return render_template("{}/address.html".format(PATH), _id=_id, name="missing")

        abort(result.status_code)

    except Exception as e:
        logger.error("Error during search disappeared ", e)
        abort(500)


@missing_controller.route("/maps", methods=['GET'])
def missing_maps():
    return render_template("{}/maps.html".format(PATH), title="Mapa de desaparecimento", name="map")


@missing_controller.route("/list-all-location", methods=['GET'])
def list_all_locations():
    return jsonify({"locations": missing_service.disappeared_geometry().json()["disappeared"]})


@missing_controller.route("/<_id>/create", methods=['GET'])
def create(_id):
    return render_template("{}/create.html".format(PATH), _id=_id, name="register")


@missing_controller.route("/register/<user_id>", methods=['POST'])
def register(user_id):
    try:
        disappeared = parse_request(request)

        result = missing_service.create_missing(user_id, disappeared)

        if result.status_code == 201:
            flash("Desaparecido cadastrado com sucesso!")
            return redirect(url_for('missing_controller.index', page=0))

        abort(result.status_code)

    except Exception as e:
        logger.error("Error during create missing", e)
        abort(500)


@missing_controller.route("/edit/<_id>", methods=["GET"])
def edit(_id):
    try:
        if 'user' in session and session['user']['_id'] == _id:
            missing = missing_service.get_by_user_id(_id)

            if missing.status_code == 200:
                return render_template("missing/edit.html", disappeared_list=missing.json()["disappeared"])

            if missing.status_code == 404:
                return redirect(url_for("missing_controller.create", _id=_id))

            if missing.status_code == 500:
                abort(500)

        abort(403)

    except Exception as e:
        logger.error("Error during search disappeared ", e)
        abort(500)


@missing_controller.route("/update/<_id>", methods=["POST"])
def update(_id):
    try:
        if 'user' in session:
            disappeared = parse_request(request)

            missing = missing_service.update(_id, disappeared)

            if missing.status_code == 200:
                flash("Informações do desaparecido atualizada com sucesso!")
                return redirect(url_for("missing_controller.edit", _id=disappeared["user_id"]))

            abort(missing.status_code)

        abort(403)

    except Exception as e:
        logger.error("Error during search disappeared ", e)
        abort(500)

controllers/homeless_resource.py
from flask import Blueprint, render_template, request, abort, flash

import services.homeless_service as homeless_service
from configuration.loggin_configuration import logger
from parser.homeless_parse import request_parse, parse_response

homeless_controller = Blueprint("homeless_controller", __name__)


@homeless_controller.route("/create", methods=["GET"])
def create():
    return render_template("homeless/create.html", name="register")


@homeless_controller.route("/register", methods=["POST"])
def register():
    try:
        homeless = request_parse(request)

        result = homeless_service.create_homeless(homeless)

        if result.status_code == 201:
            flash('Cadastro realizado com sucesso!')
            return render_template("homeless/create.html")

        abort(result.status_code)

    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)


@homeless_controller.route("/")
def index():
    try:
        homeless = [parse_response(item) for item in homeless_service.find_all_homeless().json()["homeless"]]
        return render_template("homeless/index.html", homeless=homeless, title="Quero ser encontrado", name="homeless")
    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)

controllers/user_resource.py
from flask import Blueprint, abort, redirect, url_for, render_template, request, session, jsonify, flash
from werkzeug.exceptions import BadRequestKeyError

import parser.user_parse as user_parse
import services.disappeared_service as disappeared_service
import services.sighted_service as sighted_service
import services.user_service as user_service
from configuration.loggin_configuration import logger

user_controller = Blueprint('user_controller', __name__)


@user_controller.route("/create", methods=['GET'])
def create():
    return render_template("user/create.html", title="Cadastre-se", name="register")


@user_controller.route("<_id>/password", methods=["GET"])
def password(_id):
    if 'user' in session and session['user']['_id'] == _id:
        return render_template("user/password.html", title="Alterar senha", _id=_id)

    abort(403)


@user_controller.route("<_id>/change_password", methods=["POST"])
def change_password(_id):
    if 'user' in session and session['user']['_id'] == _id:
        result = user_service.update_password(_id, request.form.get("password"))
        if result.status_code == 200:
            flash("Senha alterada com sucesso!")
            return render_template("user/password.html", title="Alterar senha", _id=_id)

        abort(result.status_code)

    abort(403)


@user_controller.route("/register", methods=['POST'])
def create_user():
    try:
        parse = user_parse.user_json(request)

        result = user_service.create_user(parse)

        if result.status_code in [200, 201]:
            _id = result.json()["user"]["_id"]
            flash("Usuário criado com sucesso!")
            return redirect(url_for('missing_controller.create', _id=_id))

        abort(result.status_code)

    except BadRequestKeyError:
        return render_template("error/image_format.html")


@user_controller.route("/login", methods=["GET"])
def login():
    return render_template("user/login.html")


@user_controller.route("/authentication", methods=["POST"])
def authentication():
    try:
        auth = user_parse.authorization_json(request)

        user = user_service.authentication(auth)

        if user.status_code == 200:
            user_result = user.json()["user"]
            flash("Bem vindo {}".format(user_result["name"]))
            session["user"] = user_result
            return redirect(url_for('missing_controller.index', page=0))

        abort(user.status_code)

    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)


@user_controller.route("/logout", methods=["GET"])
def logout():
    session.pop('user', None)
    return redirect(url_for('missing_controller.index', page=0))


@user_controller.route("/terms/<_id>", methods=['GET'])
def terms(_id):
    return render_template("user/terms.html", _id=_id)


@user_controller.route('/notifications/<_id>', methods=['GET'])
def notifications(_id):
    if 'user' in session and session['user']['_id'] == _id:
        return render_template("user/notifications.html",
                               title="Locais onde foi avistado",
                               _id=_id)

    abort(403)


@user_controller.route('/notifications-list/<_id>', methods=['GET'])
def notifications_list(_id):
    if 'user' in session and session['user']['_id'] == _id:
        disappeared = disappeared_service.get_by_user_id(_id)
        sighted = []
        if disappeared.status_code == 200:
            for missing in disappeared.json()["disappeared"]:
                for sighted_list in sighted_service.find_by_missing(missing["_id"]).json()["sighted"]:
                    sighted.append(sighted_list)

        return jsonify({'locations': sighted})


@user_controller.route("/remember-me", methods=['GET'])
def remember_me():
    return render_template("remember.html")


@user_controller.route('/remember', methods=['POST'])
def remember():
    try:
        result = user_service.remember_password(user_parse.remember_password(request))

        if result.status_code == 200:
            flash("Senha recuperada com sucesso, verifique sua nova senha no seu email!")
            return redirect(url_for("missing_controller.index", page=0))

        if result.status_code == 404:
            abort(404)

    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)


@user_controller.route('/edit/<_id>', methods=['GET'])
def edit(_id):
    try:
        if 'user' in session and session['user']['_id'] == _id:
            user = user_service.find_by_id(_id)
            if user.status_code == 200:
                return render_template("user/edit.html", user=user.json()["user"])

            abort(user.status_code)

        abort(403)

    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)


@user_controller.route('/update/<_id>', methods=['POST'])
def update(_id):
    try:
        if 'user' in session and session['user']['_id'] == _id:
            parse = user_parse.user_json(request)

            result = user_service.update_user(_id, parse)

            if result.status_code == 200:
                flash("Suas informações foram atualizadas com sucesso!")
                return render_template("user/edit.html", user=result.json()["user"], _id=_id)

            abort(result.status_code)

        abort(403)
    except Exception as e:
        logger.error("Error during create homeless", e)
        abort(500)

templates/base.html
<!DOCTYPE html>
<html lang="en">

<head>
    {% include "head.html" %}
</head>

<body>
<div class="wrapper ">

    {% include "lateral_menu.html" %}

    <div class="main-panel">

        {% include "top_menu.html" %}

        <div class="content">
            <div class="container-fluid">
                {% include "message.html" %}
                {% block content %}{% endblock %}
            </div>
        </div>

        {% include "footer.html" %}
    </div>
</div>

{% include "facebook.html" %}

{% include "extensions.html" %}


</body>

</html>

templates/extensions.html
<!--   Core JS Files   -->
<script src=" {{ url_for('static', filename='js/core/jquery.min.js') }}" type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/core/popper.min.js') }} " type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/core/jquery.mask.min.js') }} " type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/core/bootstrap-material-design.min.js') }}"
        type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/plugins/perfect-scrollbar.jquery.min.js') }}"></script>
<!-- Chartist JS -->
<script src="{{ url_for('static', filename='js/plugins/chartist.min.js') }}"></script>
<!--  Notifications Plugin    -->
<script src="{{ url_for('static', filename='js/plugins/bootstrap-notify.js') }}"></script>
<!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
<script src="{{ url_for('static', filename='js/material-dashboard.min.js') }}" type="text/javascript"></script>
<!-- Material Dashboard DEMO methods, don't include it in your project! -->
<script src="{{ url_for('static', filename='js/demo.js') }}"></script>

<script src='https://api.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.js'></script>

<script src='https://api.tiles.mapbox.com/mapbox-gl-js/v0.48.0/mapbox-gl.js'></script>

<script src='https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v2.3.0/mapbox-gl-geocoder.min.js'></script>

<script>

    $(document).ready(function () {
        var url = window.location.href;
        if (!(url.indexOf("desaparecidosme-stg") !== -1)) {

            (function (h, o, t, j, a, r) {
                h.hj = h.hj || function () {
                    (h.hj.q = h.hj.q || []).push(arguments)
                };
                h._hjSettings = {hjid: 1011155, hjsv: 6};
                a = o.getElementsByTagName('head')[0];
                r = o.createElement('script');
                r.async = 1;
                r.src = t + h._hjSettings.hjid + j + h._hjSettings.hjsv;
                a.appendChild(r);
            })(window, document, 'https://static.hotjar.com/c/hotjar-', '.js?sv=');

        }
    });

    function setupMapBox(accessToken, center, container_id, geojson, zoom) {

        mapboxgl.accessToken = accessToken;


        var map = new mapboxgl.Map({
            style: 'mapbox://styles/mapbox/streets-v9',
            center: center,
            zoom: zoom,
            interactive: true,
            container: container_id
        });

        map.on("load", () => {

            map.addSource('data', {
                type: 'geojson',
                data: geojson
            });

            map.addLayer({
                id: 'points',
                source: 'data',
                type: 'circle',
                paint: {
                    'circle-radius': 15,
                    'circle-color': '#ff8080',
                    'circle-opacity': 0.5
                }
            })

        });

        var popup = new mapboxgl.Popup({
            closeButton: false,
            closeOnClick: false
        });

        map.on('mousemove', e => {
            var features = map.queryRenderedFeatures(e.point, {
                layers: ['points']
            });

            map.getCanvas().style.cursor = (features.length) ? 'pointer' : '';

            if (!features.length) {
                popup.remove();
                return;
            }

            var feature = features[0];

            popup.setLngLat(feature.geometry.coordinates)
                .setHTML(feature.properties.description)
                .addTo(map);
        });

    }
</script>

templates/facebook.html
<div id="fb-root"></div>
<script>(function (d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s);
    js.id = id;
    js.src = 'https://connect.facebook.net/pt_BR/sdk/xfbml.customerchat.js#xfbml=1&version=v2.12&autoLogAppEvents=1';
    fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

<!-- Your customer chat code -->
<div class="fb-customerchat"
     attribution=setup_tool
     page_id="445588252595520"
     theme_color="#0084ff"
     logged_in_greeting="Olá! Como podemos lhe ajudar ?"
     logged_out_greeting="Olá! Como podemos lhe ajudar ?">
</div>

templates/footer.html
<footer class="footer">
    <div class="container-fluid">
        <div class="copyright float-right">
            &copy;2018 Desaparecidos.me
            , desenvolvido <i class="material-icons">favorite</i> por
            <a href="https://www.linkedin.com/in/le-co/" target="_blank">Leandro Costa</a>
        </div>
    </div>
</footer>

templates/form_remember.html
<form action="{{ url_for('user_controller.remember') }}" method="post" style="margin-top: 30px">
    <div class="col-md-12">
        <div class="form-group">
            <label class="bmd-label-floating">Email</label>
            <input type="email" required="required" maxlength="150" name="email" class="form-control">
        </div>
    </div>
    <button type="submit" class="btn btn-info">Recuperar senha</button>
    <div class="clearfix"></div>
</form>

templates/head.html
<meta charset="utf-8"/>
<meta property="og:url" content="{{ url_for('missing_controller.index', page=0) }}"/>
<meta property="og:type" content="website"/>
<meta property="og:title" content="Desaparecidos.me"/>
<meta property="og:description" content="Plataforma digital para encontrar pessoas desaparecidas"/>
<meta property="og:image" content="{{ url_for('static', filename='images/logo.png') }}"/>

<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no'
      name='viewport'/>

<link rel="apple-touch-icon" sizes="76x76" href=" {{ url_for('static', filename='images/logo.png') }}">
<link rel="icon" type="image/png" href="{{ url_for('static', filename='images/logo.png') }}">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>

<title>desaparecidos.me</title>

<link rel="stylesheet" type="text/css"
      href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons"/>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">
<link href="{{ url_for('static', filename='css/material-dashboard.css') }}" rel="stylesheet"/>
<link href="{{ url_for('static', filename='css/demo.css') }}" rel="stylesheet"/>
<link href='https://api.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.css' rel='stylesheet'/>

<link href='https://api.tiles.mapbox.com/mapbox-gl-js/v0.48.0/mapbox-gl.css' rel='stylesheet'/>

<link rel='stylesheet'
      href='https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v2.3.0/mapbox-gl-geocoder.css'
      type='text/css'/>

<script async src="https://www.googletagmanager.com/gtag/js?id=UA-124051589-1"></script>
<script>
    window.dataLayer = window.dataLayer || [];

    function gtag() {
        dataLayer.push(arguments);
    }

    gtag('js', new Date());
    gtag('config', 'UA-124051589-1');
</script>

templates/lateral_menu.html
<div class="sidebar" data-color="azure" style="background-color: #0097D6; color: #FAFBFE">
    <div class="logo">
        <a href="{{ url_for('missing_controller.index', page=0) }}" class="simple-text">
            <img src="{{ url_for('static', filename='images/logo.png') }}"><br/>
            <span style="font-size: small">desaparecidos.me</span>
        </a>
    </div>
    <div class="sidebar-wrapper">
        <ul class="nav">
            <li class="nav-item {{ 'active' if name == 'register' else '' }}" id="new_user">
                <a class="nav-link" href="{{ url_for('commons_controller.start') }}">
                    <i class="material-icons">create</i>
                    <p>Registrar</p>
                </a>
            </li>
            <li class="nav-item {{ 'active' if name == 'info' else '' }}" id="new_user">
                <a class="nav-link" href="{{ url_for('commons_controller.info') }}">
                    <i class="material-icons">dashboard</i>
                    <p>Informações</p>
                </a>
            </li>
            <li class="nav-item {{ 'active' if name == 'missing' else '' }}" id="missing">
                <a class="nav-link" href="{{ url_for('missing_controller.index', page=0) }}">
                    <i class="material-icons">person</i>
                    <p>Desaparecidos</p>
                </a>
            </li>
            <li class="nav-item {{ 'active' if name == 'homeless' else '' }}" id="i_want_to_be_found">
                <a class="nav-link" href="{{ url_for('homeless_controller.index') }}">
                    <i class="material-icons">how_to_reg</i>
                    <p>Quero ser encontrado</p>
                </a>
            </li>
            <li class="nav-item {{ 'active' if name == 'map' else '' }}" id="map_missing">
                <a class="nav-link" href="{{ url_for('missing_controller.missing_maps') }}">
                    <i class="material-icons">location_ons</i>
                    <p style="font-size: 13px">Mapa de desaparecimento</p>
                </a>
            </li>
            {% if "user" not in session %}
            <li class="nav-item" id="user_login">
                <a class="nav-link" href="{{ url_for('user_controller.login') }}">
                    <i class="material-icons">lock</i>
                    <p>Login</p>
                </a>
            </li>
            {% endif %}
            <li class="nav-item {{ 'active' if name == 'faq' else '' }}" id="faq_missing">
                <a class="nav-link" href="{{ url_for('commons_controller.faq') }}">
                    <i class="material-icons">record_voice_over</i>
                    <p>FAQ</p>
                </a>
            </li>
        </ul>
    </div>
</div>

templates/mapbox.html
<input type="hidden" value="{{ disappeared.geometry if disappeared }}" id="geometry" name="geometry"/>
<div id='map' style="height: 400px; margin-bottom: 20px;"></div>
<script>

    document.addEventListener("DOMContentLoaded", function () {

        var geometry = document.getElementById("geometry");

        mapboxgl.accessToken = 'pk.eyJ1IjoiZGVzYXBhcmVjaWRvc21lIiwiYSI6ImNqa3ZrYWdqcDBzMzUzcHBhdGhhdWp1YmEifQ.09Yj5rE71q2u_WGfPu3LFA';

        var map = new mapboxgl.Map({
            container: 'map',
            style: 'mapbox://styles/mapbox/streets-v9',
            center: [-47.8823, -15.7934],
            zoom: 3
        });

        var geocoder = new MapboxGeocoder({
            accessToken: mapboxgl.accessToken
        });

        map.addControl(geocoder);

        map.on('load', function () {
            map.addSource('single-point', {
                "type": "geojson",
                "data": {
                    "type": "FeatureCollection",
                    "features": []
                }
            });

            map.addLayer({
                "id": "point",
                "source": "single-point",
                "type": "circle",
                "paint": {
                    "circle-radius": 30,
                    "circle-color": "#007cbf",
                    "circle-opacity": 0.5
                }
            });

            geocoder.on('result', function (ev) {
                map.getSource('single-point').setData(ev.result.geometry);
                geometry.value = ev.result.geometry.coordinates.join();
            });

        });

        if (geometry.value != '' || geometry.value != null) {
            new mapboxgl.Marker()
                .setLngLat(geometry.value.split(','))
                .addTo(map);
        }
    });

</script>

templates/message.html
<div class="col-md-12" style="margin: 10px 0 30px 0">
    {% with messages = get_flashed_messages() %}
        {% if messages %}
            <div class="alert alert-info">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <i class="material-icons">close</i>
                </button>
                {% for message in messages %}
                    <span>
                <b>
                    {{ message }}
                </b>
            </span>
                {% endfor %}
            </div>
        {% endif %}
    {% endwith %}
</div>

templates/remember.html
{% extends "base.html" %}
{% block content %}
    <div class="row">
        <div class="col-md-12" data-notify="container" style="font-weight: bold;">
            <h3>Recuperação de senha</h3>
            <div data-notify="message">
                <h3>Informe o seu email abaixo que iremos enviar um email para você com uma nova senha.</h3>
                {% include "form_remember.html" %}
            </div>
        </div>
    </div>
{% endblock %}

templates/start_user.html
{% extends "base.html" %}
{% block content %}
<div class="row">
    <a href="{{ url_for('user_controller.create') }}" class="col-md-12">
        <div class="alert alert-light alert-with-icon col-md-12" data-notify="container">
            <i class="material-icons" style="color: #0a6ebd" data-notify="icon">assignment_ind</i>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            </button>
            <h3 data-notify="message">
                Registrar um familiar desaparecido.
            </h3>
            <p>Se você possui algum familiar desaparecido, <b>clique aqui para se registrar</b>, caso queira saber as
                pessoas que estão cadastradas no sistema acesse o menu desaparecido, ou o menu quero ser encontrado.</p>
        </div>
    </a>

    <a href="{{ url_for('homeless_controller.create') }}" class="col-md-12">
        <div class="alert alert-light alert-with-icon col-md-12" data-notify="container">
            <i class="material-icons" style="color: #0a6ebd" data-notify="icon">group</i>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            </button>
            <h3 data-notify="message">
                Moradores de rua ou desabrigados
            </h3>
            <p>
                Moradores de rua, pessoas desabrigadas por motivos naturais ou não, que desejam ser encontrados por seus
                familiares e não possuem nenhuma forma de entrar em contato. Se você é uma <b>ONG, ou
                voluntário</b> que trabalha em campo <b>clique aqui!</b>
            </p>
        </div>
    </a>
</div>
{% endblock %}

templates/top_menu.html
<nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top ">
    <div class="container-fluid">
        <div class="navbar-wrapper">
            <h3>{{ title }}</h3>
        </div>
        <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index"
                aria-expanded="false" aria-label="Toggle navigation">
            <span class="sr-only">Toggle navigation</span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end">
            <form method="post" action="{{ url_for('missing_controller.search') }}" class="navbar-form" style="margin-right: 10px">
                <div class="input-group no-border">
                    <input type="text" name="search" value="" class="form-control" placeholder="Search...">
                    <button type="submit" class="btn btn-white btn-round btn-just-icon">
                        <i class="material-icons">search</i>
                        <div class="ripple-container"></div>
                    </button>
                </div>
            </form>
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a href="{{ url_for('missing_controller.index', page=0) }}" class="fb-share-button navbar-nav"
                       data-layout="button_count"></a>
                </li>
                {% if "user" in session %}
                <li class="nav-item dropdown">
                    <a class="nav-link" href="http://example.com" id="navbarDropdownMenuLink"
                       data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="material-icons">verified_user</i>
                        {{ session["user"]["name"] }}
                        <p class="d-lg-none d-md-block">
                            Configurações
                        </p>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item" href="{{ url_for('user_controller.notifications', _id= session['user']['_id']) }}">
                            <i class="material-icons">person_pin_circle</i> Onde foi avistado</a>
                        <a class="dropdown-item" href="{{ url_for('user_controller.edit', _id= session['user']['_id']) }}">
                            <i class="material-icons">edit</i> Alterar meus dados</a>
                        <a class="dropdown-item" href="{{ url_for('user_controller.password', _id= session['user']['_id']) }}">
                            <i class="material-icons">edit</i> Alterar minha senha</a>
                        <a class="dropdown-item" href="{{ url_for('missing_controller.edit', _id= session['user']['_id']) }}">
                            <i class="material-icons">edit</i> Alterar dados do desaparecido</a>
                        <a class="dropdown-item" href="{{ url_for('user_controller.logout') }}">
                            <i class="material-icons">exit_to_app</i> Sair
                        </a>
                    </div>
                </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>